# inspired from fedora spec file
# Copyright (c) 2014-2017 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/

%define github_name     DirectoryScanner
%define composer_name   directoryscanner
%define composer_vendor theseer
%define pear_name       DirectoryScanner
%define pear_channel    pear.netpirates.net

%define php_libdir     %{_datadir}/php

Name:           php-%{composer_vendor}-%{composer_name}
Version:        1.3.3
Release:        %mkrel 1
Summary:        A recursive directory scanner and filter
Group:          Development/PHP
License:        BSD
URL:            https://github.com/theseer/DirectoryScanner
Source0:        https://github.com/theseer/DirectoryScanner/archive/%{version}.tar.gz
BuildArch:      noarch

# From composer.json
Requires:       php >= 5.3.1
# From phpcompatinfo report for 1.3.0
Requires:       php-fileinfo

Provides:       php-composer(%{composer_vendor}/%{composer_name}) = %{version}
Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}

%description
A recursive directory scanner and filter.

%prep
%setup -qn %{github_name}-%{version}

%build

%install
mkdir -p   %{buildroot}%{php_libdir}/TheSeer
cp -pr src %{buildroot}%{php_libdir}/TheSeer/%{github_name}

%post
if [ -x %{_bindir}/pear ]; then
  %{_bindir}/pear uninstall --nodeps --ignore-errors --register-only \
      %{pear_channel}/%{pear_name} >/dev/null || :
fi

%files
%doc composer.json LICENSE
%{php_libdir}/TheSeer/%{github_name}


%changelog
* Tue Apr 19 2022 mokraemer <mokraemer> 1.3.3-1.mga9
+ Revision: 1851943
- new version 1.3.3.

* Mon Mar 21 2022 umeabot <umeabot> 1.3.2-5.mga9
+ Revision: 1810946
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.3.2-4.mga8
+ Revision: 1519179
- Mageia 8 Mass Rebuild

* Thu Oct 04 2018 mokraemer <mokraemer> 1.3.2-3.mga7
+ Revision: 1317773
- correct massrebuild
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Tue Apr 18 2017 guillomovitch <guillomovitch> 1.3.2-1.mga6
+ Revision: 1096683
- imported package php-theseer-directoryscanner

